{ pkgs, sources, ... }:

let
  nix-pkgs = import sources.nix-pkgs { inherit pkgs; };
in

{
  services.django-apps.sites.wikiens = {
    source = "https://git.dgnum.eu/DGNum/wiki-eleves";
    branch = "main";
    domain = "wiki.webapps.dgnum.eu";

    nginx = {
      enableACME = true;
      forceSSL = true;
    };

    webHookSecret = builtins.toFile "insecure-secret" "T5hNeDraMivRZLUkrekv&QeM";

    python = pkgs.python3.override {
      packageOverrides = _: _: { inherit (nix-pkgs) django-allauth-ens django-wiki loadcredential; };
    };

    dependencies = ps: [
      ps.django
      ps.django-allauth-ens
      ps.django-wiki
      ps.loadcredential
      ps.tinycss2
    ];

    credentials = {
      SECRET_KEY = builtins.toFile "insecure-key" "insecure-key";
    };

    environment = {
      WIKIENS_ALLOWED_HOSTS = [ "wiki.webapps.dgnum.eu" ];
    };
  };
}
