{ config, lib, ... }:

let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.dgn-records;
in

{
  options.dgn-records.enable = mkEnableOption "Arkheon deployment recording." // {
    default = true;
  };

  config = mkIf cfg.enable {
    services.arkheon.record = {
      enable = true;

      tokenFile = config.age.secrets."__arkheon-token_file".path;

      url = "https://arkheon.dgnum.eu";
    };

    age-secrets.sources = [ ./. ];
  };
}
